umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::LayoutType Namespace Reference

## Enumerations
enum | Enum { Undefined = 0 , Direct , Orthogonal , Polyline , Spline , N_LAYOUTTYPES }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Layout types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::LayoutType::Enum

Enumerator
Undefined |
Direct |
Orthogonal |
Polyline |
Spline |
N_LAYOUTTYPES |

## Function Documentation

## ◆ fromInt()

Enum Uml::LayoutType::fromInt | ( | int | item | ) |

Convert an integer item into LayoutType representation.

Parameters

  item | integer value to convert

Returns
  LayoutType enum

## ◆ fromString()

Enum Uml::LayoutType::fromString | ( | const QString & | item | ) |

Return LayoutType corresponding to the given string.

## ◆ toString()

QString Uml::LayoutType::toString | ( | Enum | item | ) |

Return string corresponding to the given LayoutType.